"use client";
import { patternInScope as t } from "../util/pattern-in-scope.js";
function c(f, u, e, r) {
  let n = -1;
  for (; ++n < e.unsafe.length; )
    if (e.unsafe[n].character === `
` && t(e.stack, e.unsafe[n]))
      return /[ \t]/.test(r.before) ? "" : " ";
  return `\\
`;
}
export {
  c as hardBreak
};
